Subject: Re: [PATCH] transport-helper: do not request symbolic refs to remote helpers

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Jan 2015 23:41:51 -0800

Mike Hommey <[email-masked]> writes:

> Note the most important part is actually between the parens: that only
> happens when the remote helper returns '?' to the `list` command, which
> non-git remotes helpers (like git-remote-hg or git-remote-bzr) do.
> git-remote-testgit also does, so if you only apply the test parts of the
> patch, you'll see that the test fails.
>
> remote-curl probably doesn't hit the problem because it's not returning
> '?' to `list`.

Hmm, that suggests that the new codepath should be taken only when
the remote helper says '?' (does it mean "I dunno"? where are these
documented, by the way?), yes?  It wasn't immediately obvious from
the patch text that it was the case.

Thanks.